/* fgkicker - Flightgear launcher

   Copyright (C) 2003 Visionary Software Developments
   Written by Chris De Maeyer <chrisdm@pandora.be>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
*
* $Author: chris $
* $Revision: 1.4 $
* $Log: fgkexec.c,v $
* Revision 1.4  2004/06/26 18:07:27  chris
* * airport list is searchable
* * changed code to use gtk types
* * added tooltips
* * gtk_widget_show replaced by gtk_widget_show_all
* * added "FgKicker" page, added "disable tooltips" option
*
* Revision 1.3  2004/01/11 15:10:21  chris
* * added tree view for airport selection
* * fixed info window
* * data files now read from user's HOME directory
*
* Revision 1.2  2003/12/09 21:22:14  chris
* * argument build now gets cleared properly between fg invocations
* * using fgfs iso /usr/games/fgfs to start, should work as long as the binary is in
*   your search path
* * added error messages
* * added options random-objects, freeze
* * aircraft list read from text file generated by "fgfs --show-aircraft > aircraft.dat",
*   file should be in your HOME
*
* Revision 1.1  2003/11/29 15:12:21  chris
* initial version
*
*/

#include "fgkicker.h"

void error_message(GtkWidget *app_window, gchar *message)
{
	GtkWidget *dialog;

	dialog = gtk_message_dialog_new (
			GTK_WINDOW(app_window),
			GTK_DIALOG_DESTROY_WITH_PARENT,
			GTK_MESSAGE_ERROR,
			GTK_BUTTONS_CLOSE,
			"%s (%s)",message,g_strerror (errno));
	gtk_dialog_run (GTK_DIALOG (dialog));
	gtk_widget_destroy (dialog);

}

void quick_message (GtkWidget *app_window, gchar *message)
{
	GtkWidget *dialog, *label;

	dialog = gtk_dialog_new_with_buttons (
			"Message",
			GTK_WINDOW(app_window),
			GTK_DIALOG_DESTROY_WITH_PARENT,
			GTK_STOCK_OK,
			GTK_RESPONSE_NONE,
			NULL);
	label = gtk_label_new (message);

	g_signal_connect_swapped (GTK_OBJECT (dialog),
		"response",G_CALLBACK (gtk_widget_destroy),GTK_OBJECT (dialog));

	gtk_container_add (GTK_CONTAINER (GTK_DIALOG(dialog)->vbox),
		label);
	gtk_widget_show_all (dialog);
}

void gtk_message_about(gchar *message, gchar *title)
{
	GtkWidget *dialog;
	GtkWidget *label;
	GtkWidget *button;
	GtkWidget *table;
	GtkWidget *frame;

	dialog = gtk_dialog_new();

	gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_CENTER);
	gtk_window_set_modal(GTK_WINDOW(dialog), TRUE);
	gtk_window_set_title(GTK_WINDOW(dialog), title);

	button = gtk_button_new_with_label("OK");
	gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog)->action_area), button, TRUE, TRUE, 0);
	gtk_widget_show(button);

	frame = gtk_frame_new(NULL);
	gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog)->vbox), frame, TRUE, TRUE, 0);
	gtk_container_set_border_width(GTK_CONTAINER(frame), 10);
	gtk_widget_show(frame);

	table = gtk_table_new(2 ,1 , FALSE);
	gtk_container_set_border_width(GTK_CONTAINER(table), 10);
	gtk_container_add(GTK_CONTAINER(frame), table);
	gtk_widget_show(table);

	label = gtk_label_new(message);
	gtk_table_attach_defaults(GTK_TABLE(table), label, 0, 1, 1, 2);
	gtk_widget_show(label);

	gtk_signal_connect_object(GTK_OBJECT(button), "clicked", GTK_SIGNAL_FUNC(gtk_widget_destroy), GTK_OBJECT(dialog));
	gtk_widget_show_all(dialog);
}

gint fgk_Launch(gchar *command, gchar *opts)
{
	gint ret=0;

	ret = system(command);

	return(ret);
}	
