/* fgkicker - Flightgear launcher

   Copyright (C) 2003 Visionary Software Developments
   Written by Chris De Maeyer <chrisdm@pandora.be>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
*
* $Author: chris $
* $Revision: 1.8 $
* $Log: fgkicker.h,v $
* Revision 1.8  2004/06/26 18:07:30  chris
* * airport list is searchable
* * changed code to use gtk types
* * added tooltips
* * gtk_widget_show replaced by gtk_widget_show_all
* * added "FgKicker" page, added "disable tooltips" option
*
* Revision 1.7  2004/06/03 08:34:43  chris
* * added "enable httpd host" option
* * fixed strsize issue handling aircraft list (Joseph Harnish <bigjoe@linuxmail.org>)
* * fixed writing out settings file for horizon/lighting option
*
* Revision 1.6  2004/03/18 19:53:56  chris
* aircraft list now gets read from fgfs
*
* Revision 1.5  2004/01/11 15:10:24  chris
* * added tree view for airport selection
* * fixed info window
* * data files now read from user's HOME directory
*
* Revision 1.4  2003/12/14 19:26:35  chris
* * re-arranged code on a per page topic base
* * added notebook with pages
* * added options "time match real", "skyblend", "textures", "clouds", "units"
* * added info button
*
* Revision 1.3  2003/12/09 21:22:17  chris
* * argument build now gets cleared properly between fg invocations
* * using fgfs iso /usr/games/fgfs to start, should work as long as the binary is in
*   your search path
* * added error messages
* * added options random-objects, freeze
* * aircraft list read from text file generated by "fgfs --show-aircraft > aircraft.dat",
*   file should be in your HOME
*
* Revision 1.2  2003/12/04 19:32:36  chris
* added load/save default settings
*
* Revision 1.1  2003/11/29 15:12:35  chris
* initial version
*
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <unistd.h>
#include <signal.h>
#include <errno.h>
#include <sys/wait.h>
#include <gtk/gtk.h>

#define MYVERSION "0.9"
#define WIDGET_ROWS 3
#define WIDGET_HEIGHT 24
#define OPTFILE	".fgkickerrc"
#define FLYFILE "aircraft.dat"
#define AIRFILE "airports.dat"

enum {
	NAME_COLUMN,
	ID_COLUMN,
	N_COLUMNS
};

typedef struct Setting {
	gint splash;
	gint gamemode;
	gint fuelmode;
	gint intromusic;
	gint mousepointer;
	gint clockfreeze;
	gint autocoord;
	gint robjects;
	gint freeze;
	gint matchreal;
	gint skyblend;
	gint textures;
	gint clouds;
	gint units;
	gint horizon;
	gint lighting;
	gint httpd;
	gint tooltips;
	gchar airport[8];
	gchar aircraft[32];
} SETTINGS;
