/* fgkicker - Flightgear launcher

   Copyright (C) 2003 Visionary Software Developments
   Written by Chris De Maeyer <chrisdm@pandora.be>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
*
* $Author: chris $
* $Revision: 1.5 $
* $Log: fgkicker_proto.h,v $
* Revision 1.5  2004/06/26 18:07:31  chris
* * airport list is searchable
* * changed code to use gtk types
* * added tooltips
* * gtk_widget_show replaced by gtk_widget_show_all
* * added "FgKicker" page, added "disable tooltips" option
*
* Revision 1.4  2004/01/11 15:10:25  chris
* * added tree view for airport selection
* * fixed info window
* * data files now read from user's HOME directory
*
* Revision 1.3  2003/12/09 21:22:18  chris
* * argument build now gets cleared properly between fg invocations
* * using fgfs iso /usr/games/fgfs to start, should work as long as the binary is in
*   your search path
* * added error messages
* * added options random-objects, freeze
* * aircraft list read from text file generated by "fgfs --show-aircraft > aircraft.dat",
*   file should be in your HOME
*
* Revision 1.2  2003/12/04 19:32:37  chris
* added load/save default settings
*
* Revision 1.1  2003/11/29 15:12:39  chris
* initial version
*
*/

#ifndef FGKICKER_PROTO_H
#define FGKICKER_PROTO_H
#endif

/* fgkicker */
void quick_message (GtkWidget *app_window, gchar *message);

/* fgfile */
gint fgk_SettingsThere(gchar *file);
gint fgk_GetSettings(SETTINGS *current, gchar *file);
gint fgk_PutSettings(SETTINGS *current, gchar *file);
gint fgk_ReadAircrafts(char *flyfile, GList *flylist);

/* fgexec */
void error_message(GtkWidget *app_window, gchar *message);
void quick_message (GtkWidget *app_window, gchar *message);
gint fgk_Launch(gchar *command, gchar *opts);

/* fgmem */
gchar *fgk_SafeAlloc(gchar *def);
void fgk_SafeFree(gchar *str);
gint getDelimCount(gchar *str,gint delim);
gint getDelimPos(gchar *str,gint delim,gint pos);
