/* fgkicker - Flightgear launcher

   Copyright (C) 2003 Visionary Software Developments
   Written by Chris De Maeyer <chrisdm@pandora.be>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
*
* $Author: chris $
* $Revision: 1.3 $
* $Log: fgkmem.c,v $
* Revision 1.3  2004/06/26 18:07:32  chris
* * airport list is searchable
* * changed code to use gtk types
* * added tooltips
* * gtk_widget_show replaced by gtk_widget_show_all
* * added "FgKicker" page, added "disable tooltips" option
*
* Revision 1.2  2004/01/11 15:10:26  chris
* * added tree view for airport selection
* * fixed info window
* * data files now read from user's HOME directory
*
* Revision 1.1  2003/11/29 15:12:43  chris
* initial version
*
*/

#include "fgkicker.h"

gchar *fgk_SafeAlloc(gchar *def)
{
	gchar *workstring=NULL;

	workstring=g_strdup_printf("%s", def);
	return(workstring);
}	

void fgk_SafeFree(gchar *str)
{
	g_free(str);
}	

gint getDelimCount(gchar *str,gint delim)
{
	// count number of delimiters in string
	gint i;
	gint d=0;

	for(i=0;i<strlen(str);i++)
	{	
		if(str[i]==delim) {
			d++;
		}
	}
	return(d);
}

gint getDelimPos(gchar *str,gint delim,int pos)
{
	// report back delim occurring pos times position
	gint i;
	gint d=0;
	gint npos=-1;

	for(i=0;i<strlen(str);i++)
	{	
		if(str[i]==delim) {
			d++;
			if(d==pos) npos=i;
		}	
	}
	return(npos);
}
